import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { d as defineCustomElement$2 } from './cb-toastcontent2.js';

const cbToastCss = "/*! tailwindcss v3.1.8 | MIT License | https://tailwindcss.com*/*,:after,:before{border:0 solid #e5e7eb;box-sizing:border-box}:after,:before{--tw-content:\"\"}html{-webkit-text-size-adjust:100%;font-family:ui-sans-serif,system-ui,-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;line-height:1.5;-moz-tab-size:4;-o-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}a{text-decoration:inherit}a,button{color:inherit}button{font-family:inherit;font-size:100%;font-weight:inherit;line-height:inherit;margin:0;padding:0;text-transform:none}[type=button],button{-webkit-appearance:button;background-color:transparent;background-image:none}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}p{margin:0}button{cursor:pointer}object,svg{display:block;vertical-align:middle}*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}::-webkit-backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}.top{left:0;margin-left:auto;margin-right:auto;right:0;top:.5rem}.top-left{left:.5rem;top:.5rem}.top-right{right:.5rem;top:.5rem}.bottom-left{bottom:.5rem;left:.5rem}.bottom-right{bottom:.5rem;right:.5rem}.bottom{bottom:.5rem;left:0;margin-left:auto;margin-right:auto;right:0}.successBgColor{--tw-bg-opacity:1;background-color:rgb(16 185 129/var(--tw-bg-opacity))}.infoBgColor{--tw-bg-opacity:1;background-color:rgb(59 130 246/var(--tw-bg-opacity))}.warningBgColor{--tw-bg-opacity:1;background-color:rgb(234 179 8/var(--tw-bg-opacity))}.errorBgColor{--tw-bg-opacity:1;background-color:rgb(239 68 68/var(--tw-bg-opacity))}.successTextColor{--tw-text-opacity:1;color:rgb(16 185 129/var(--tw-text-opacity))}.infoTextColor{--tw-text-opacity:1;color:rgb(59 130 246/var(--tw-text-opacity))}.warningTextColor{--tw-text-opacity:1;color:rgb(234 179 8/var(--tw-text-opacity))}.errorTextColor{--tw-text-opacity:1;color:rgb(239 68 68/var(--tw-text-opacity))}.fixed{position:fixed}.inset-x-0{left:0;right:0}.top-2{top:.5rem}.bottom-2{bottom:.5rem}.z-50{z-index:50}.mx-auto{margin-left:auto;margin-right:auto}.-mx-3{margin-left:-.75rem;margin-right:-.75rem}.mx-3{margin-left:.75rem;margin-right:.75rem}.mt-4{margin-top:1rem}.box-border{box-sizing:border-box}.block{display:block}.flex{display:flex}.h-6{height:1.5rem}.w-80{width:20rem}.w-6{width:1.5rem}.w-full{width:100%}.w-12{width:3rem}.w-72{width:18rem}.max-w-sm{max-width:24rem}.flex-grow{flex-grow:1}.grow-0{flex-grow:0}.cursor-pointer{cursor:pointer}.items-start{align-items:flex-start}.items-center{align-items:center}.justify-center{justify-content:center}.overflow-hidden{overflow:hidden}.rounded-lg{border-radius:.5rem}.bg-green-700{--tw-bg-opacity:1;background-color:rgb(21 128 61/var(--tw-bg-opacity))}.bg-blue-700{--tw-bg-opacity:1;background-color:rgb(29 78 216/var(--tw-bg-opacity))}.bg-yellow-700{--tw-bg-opacity:1;background-color:rgb(161 98 7/var(--tw-bg-opacity))}.bg-red-700{--tw-bg-opacity:1;background-color:rgb(185 28 28/var(--tw-bg-opacity))}.bg-white{--tw-bg-opacity:1;background-color:rgb(255 255 255/var(--tw-bg-opacity))}.fill-current{fill:currentColor}.px-4{padding-left:1rem;padding-right:1rem}.py-2{padding-bottom:.5rem;padding-top:.5rem}.pr-1{padding-right:.25rem}.text-sm{font-size:.875rem;line-height:1.25rem}.font-semibold{font-weight:600}.text-white{--tw-text-opacity:1;color:rgb(255 255 255/var(--tw-text-opacity))}.text-gray-600{--tw-text-opacity:1;color:rgb(75 85 99/var(--tw-text-opacity))}.opacity-100{opacity:1}.opacity-0{opacity:0}.shadow-md{--tw-shadow:0 4px 6px -1px rgba(0,0,0,.1),0 2px 4px -2px rgba(0,0,0,.1);--tw-shadow-colored:0 4px 6px -1px var(--tw-shadow-color),0 2px 4px -2px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.transition-all{transition-duration:.15s;transition-property:all;transition-timing-function:cubic-bezier(.4,0,.2,1)}.duration-700{transition-duration:.7s}.ease-in{transition-timing-function:cubic-bezier(.4,0,1,1)}";

const CbToast$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.timeOut = 3000;
    this.position = 'top-right';
    this.toastType = [
      {
        type: 'success',
        typeBgColor: 'successBgColor',
        typeTextColor: 'successTextColor',
        typeIcon: () => (h("path", { d: "M20 3.33331C10.8 3.33331 3.33337 10.8 3.33337 20C3.33337 29.2 10.8 36.6666 20 36.6666C29.2 36.6666 36.6667 29.2 36.6667 20C36.6667 10.8 29.2 3.33331 20 3.33331ZM16.6667 28.3333L8.33337 20L10.6834 17.65L16.6667 23.6166L29.3167 10.9666L31.6667 13.3333L16.6667 28.3333Z" })),
      },
      {
        type: 'info',
        typeBgColor: 'infoBgColor',
        typeTextColor: 'infoTextColor',
        typeIcon: () => (h("path", { "clip-rule": "evenodd", "fill-rule": "evenodd", d: "M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-7-4a1 1 0 11-2 0 1 1 0 012 0zM9 9a1 1 0 000 2v3a1 1 0 001 1h1a1 1 0 100-2v-3a1 1 0 00-1-1H9z" })),
      },
      {
        type: 'warning',
        typeBgColor: 'warningBgColor',
        typeTextColor: 'warningTextColor',
        typeIcon: () => (h("path", { d: "M20 3.33331C10.8 3.33331 3.33337 10.8 3.33337 20C3.33337 29.2 10.8 36.6666 20 36.6666C29.2 36.6666 36.6667 29.2 36.6667 20C36.6667 10.8 29.2 3.33331 20 3.33331ZM21.6667 28.3333H18.3334V25H21.6667V28.3333ZM21.6667 21.6666H18.3334V11.6666H21.6667V21.6666Z" })),
      },
      {
        type: 'error',
        typeBgColor: 'errorBgColor',
        typeTextColor: 'errorTextColor',
        typeIcon: () => (h("path", { d: "M20 3.36667C10.8167 3.36667 3.3667 10.8167 3.3667 20C3.3667 29.1833 10.8167 36.6333 20 36.6333C29.1834 36.6333 36.6334 29.1833 36.6334 20C36.6334 10.8167 29.1834 3.36667 20 3.36667ZM19.1334 33.3333V22.9H13.3334L21.6667 6.66667V17.1H27.25L19.1334 33.3333Z" })),
      },
    ];
  }
  async Toast(toast) {
    if (toast.timeOut !== undefined && typeof toast.timeOut === 'number') {
      this.timeOut = toast['timeOut'];
    }
    if (toast.position !== undefined && toast.position !== '') {
      this.position = toast['position'];
    }
    let toastContent = document.createElement('cb-toastcontent');
    this.rootElement.append(toastContent);
    this.toastContentComponent(toast, toastContent);
    setTimeout(() => {
      let toastContainer = toastContent.firstElementChild;
      toastContainer.classList.remove('opacity-100');
      toastContainer.classList.add('opacity-0');
      setTimeout(() => {
        toastContent.remove();
      }, 500);
    }, this.timeOut);
  }
  toastContentComponent(toast, toastContent) {
    if (toast.title !== undefined && toast.title !== '') {
      toastContent.toastTitle = toast.title;
    }
    if (toast.description !== undefined && toast.description !== '') {
      toastContent.description = toast.description;
    }
    if (toast.type !== undefined && toast.type !== '') {
      toastContent.type = toast.type;
      for (var i = 0; i < this.toastType.length; i++) {
        if (toastContent.type === this.toastType[i]['type']) {
          toastContent.typeBgColor = this.toastType[i]['typeBgColor'];
          toastContent.typeTextColor = this.toastType[i]['typeTextColor'];
          toastContent.typeIcon = this.toastType[i]['typeIcon']();
          break;
        }
      }
    }
  }
  render() {
    return h("div", { class: this.position + ' fixed w-80  max-w-sm box-border', ref: rootElement => (this.rootElement = rootElement) });
  }
  static get style() { return cbToastCss; }
}, [1, "cb-toast", {
    "timeOut": [32],
    "position": [32],
    "toastType": [32],
    "Toast": [64]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["cb-toast", "cb-toastcontent"];
  components.forEach(tagName => { switch (tagName) {
    case "cb-toast":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, CbToast$1);
      }
      break;
    case "cb-toastcontent":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const CbToast = CbToast$1;
const defineCustomElement = defineCustomElement$1;

export { CbToast, defineCustomElement };
