'use strict';

const index = require('./index-f1f88f9b.js');

/*
 Stencil Client Patch Browser v2.17.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('cb-toast.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["cb-toast_2.cjs",[[1,"cb-toast",{"timeOut":[32],"position":[32],"toastType":[32],"Toast":[64]}],[0,"cb-toastcontent",{"toastTitle":[1,"toast-title"],"description":[1],"type":[1],"typeBgColor":[1,"type-bg-color"],"typeTextColor":[1,"type-text-color"],"typeIcon":[8,"type-icon"]}]]]], options);
});
