import { p as promiseResolve, b as bootstrapLazy } from './index-b8067a27.js';

/*
 Stencil Client Patch Browser v2.17.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["cb-toast_2",[[1,"cb-toast",{"timeOut":[32],"position":[32],"toastType":[32],"Toast":[64]}],[0,"cb-toastcontent",{"toastTitle":[1,"toast-title"],"description":[1],"type":[1],"typeBgColor":[1,"type-bg-color"],"typeTextColor":[1,"type-text-color"],"typeIcon":[8,"type-icon"]}]]]], options);
});
